breed[casas casa]
breed[comercios comercio]
breed[personas persona]
breed[amenidades amenidad]
breed[culturales cultural]   ;;junto con comercios
breed[escuelas escuela]
breed[restaurantes restaurante]
breed[recreativas recreativa]
casas-own[precio tipo ingreso c-cul c-esc c-com precio-nuevo calidad]
comercios-own[tipo indice ];tiendas mini-supers restaurates recreativos]
culturales-own[tipo indice] ; museo libreria teatro]
escuelas-own[tipo indice];privadas publicas deportivas]
personas-own[edad ingreso escolaridad  preferencia encontre-casa mov]



globals [
  SMR-patches
  cuauhtemoc-patches
  total-conformidad
  total-calidades-casas
  bet-tick

  ]
;;*******************************************************************************************************************
;;*******************************************************************************************************************
;;*******************************************************************************************************************

;; creamos nuestros agentes y les damos sus caracteristicas
;; tambien relacionamos ciertas caracteristicas dependiendo el agente que estamos creando

to setup
  ca
  reset-ticks
  ;ask patches [set pcolor white]
  ;ask patches with [pxcor mod 2 = 0 and
                   ; pycor mod 2 = 0]
;    [ set pcolor black ]
    ;;creamos el area que representa la delegacion cuauhtemoc, es lo que se encuentra fuera del area de estudio
    set cuauhtemoc-patches patches with [pycor < 0 or (pxcor < 0  and pycor >= 0)]
    ask cuauhtemoc-patches [ set pcolor grey]

    ;; creamos el area que va a representar a Santa Maria la Ribera, el area de estudio
    set SMR-patches patches with [pxcor > 0 and pycor > 0]
    ask SMR-patches [ set pcolor white ]
;;*********************************************************************************************************************
;;*********************************************************************************************************************
;;*********************************************************************************************************************

if aumentar-amenidades
[
  create-culturales 50
[
  set SMR-patches patches with [pxcor > 0 and pycor > 0]
  set size .5
  ;;set SMR-patches patches with [pxcor > 0 and pycor > 0]
  set tipo round random-float 2
  if tipo = 0
  [set tipo "museo" set shape "building institution" set color 23 ]
  if tipo = 1
  [set tipo "biblioteca" set shape "book" set color 53]
  if tipo = 2
  [set tipo "teatro" set shape "crown" set color 73]
]

create-escuelas 20
[
  set shape "circle"
  set size .5
 set SMR-patches patches with [pxcor > 0 and pycor > 0]
  set tipo round random-float 1
  if tipo = 0
  [set tipo "privada" set color 1]
  if tipo = 1
  [set tipo "publica" set color 3]
]

create-comercios 50
[
  set size 1
  set SMR-patches patches with [pxcor > 0 and pycor > 0]
  set tipo round random-float 3
  if tipo = 0
  [set tipo "tiendas" set shape "flag" set color 133]
  if tipo = 1
  [set tipo "mini-supers" set shape "building store" set color 125]
  if tipo = 2
  [set tipo "restaurantes" set shape "food" set color 115]
  if tipo = 3
  [set tipo "recreativos" set shape "music notes 3" set color 75]
]
]


;; creamos un numeo de viviendas asi como sus caracteristicas, tenemos 4 tipos de casas, esta clasificacion se realiza
;; con informacion obtenida de SHCP, definimos diferente SHAPE para cada clasificacion de forma que se identifiquen en el mundo
;; asignamos color, tamaño, precio y se encuentran distribuidas aleatoriamente en el mundo

create-casas 400
[
  set size 1.5
  ;set color red
  setxy random-xcor random-ycor
  set tipo round random-float 3
  if tipo = 0 [set tipo "economica"set color green set shape "house efficiency" ]
  if tipo = 1 [set tipo "media"set color orange set shape "house bungalow"]
  if tipo = 2 [set tipo "residencial"set color yellow set shape "house colonial"]
  if tipo = 3 [set tipo "residencialplus"set color red set shape "house ranch"]

  if tipo = "economica"
  [set precio random-normal 546881 739.5]
  if tipo = "media"
  [set precio random-normal 724985 851.4]
  if tipo = "residencial"
  [set precio random-normal 1487926 1219.8]
  if tipo = "residencialplus"
  [set precio random-normal 3500000 1870.8]



]

;; creamos otro tipo de agente, que son nuestras personas, le asignamos un color y un tamaño, las distribuimos en el mundo de
;; manera aleatoria, le asignamos edad, escolaridad un ingreso y una preferencia que esta se relaciona con la categorizacion
;; que tiene las amenidades dentro del modelo.


create-personas 500
[
  set color blue
  set shape "person"
  setxy random-xcor random-ycor
  set edad round random-normal 40 20
  ;; asignaremos un nivle de escolaridad a las personas
  set escolaridad round random-float 3
  if escolaridad = 0
  [set escolaridad "primaria"]
  if escolaridad = 1
  [set escolaridad "secundaria"]
  if escolaridad = 2
  [set escolaridad "preparatoria"]
  if escolaridad = 3
  [set escolaridad "universidad"]

  if escolaridad = "primaria"
  [set ingreso random-normal 2000 44.72]
  if escolaridad = "secundaria"
  [set ingreso random-normal 4000 63.24]
  if escolaridad = "preparatoria"
  [set ingreso random-normal 8000 89.44]
  if escolaridad = "universidad"
  [set ingreso random-normal 14000 118.32]

]

  ask personas
  [ let pref random 9
    if pref >= 0 and pref <= 2 [set preferencia "cultural"]
    if pref >= 3 and pref <= 5 [set preferencia "escolar"]
    if pref >= 6 and pref <= 8 [set preferencia "comercial"]]

  ; set preferencia round random-float 2
  ; if preferencia = 0
   ;[ set preferencia "cultural"]
   ;if preferencia = 1
   ;[set preferencia "escolar"]
   ;if preferencia = 2
   ;[set preferencia "comercial"]


end

;;**************************************************************************************************************
;;**************************************************************************************************************
;;**************************************************************************************************************

;; en este apartado creamos las amenidades, las dividimos en 3 categorias, cultural, escolar y comercial. y usamos deslizadores
;; para cada una de las categorias, su valor maximo es de 100, al igual que los demas agentes definimos, color, tamaño SHAPE
;; cada categoria tiene sub categorias


to setup-amenidades
;;crear amenidades
create-culturales num-culturales
[
  set size .5
  setxy random-xcor random-ycor
  set tipo round random-float 2
  if tipo = 0
  [set tipo "museo" set shape "building institution" set color 23 ]
  if tipo = 1
  [set tipo "biblioteca" set shape "book" set color 53]
  if tipo = 2
  [set tipo "teatro" set shape "crown" set color 73]
]

create-escuelas num-escuelas
[
  set shape "circle"
  set size .5
  setxy random-xcor random-ycor
  set tipo round random-float 1
  if tipo = 0
  [set tipo "privada" set color 1]
  if tipo = 1
  [set tipo "publica" set color 3]
]

create-comercios num-comercios
[
  set size 1
  setxy random-xcor random-ycor
  set tipo round random-float 3
  if tipo = 0
  [set tipo "tiendas" set shape "flag" set color 133]
  if tipo = 1
  [set tipo "mini-supers" set shape "building store" set color 125]
  if tipo = 2
  [set tipo "restaurantes" set shape "food" set color 115]
  if tipo = 3
  [set tipo "recreativos" set shape "music notes 3" set color 75]
]



end
;;******************************************************************************************************************************************************
;;******************************************************************************************************************************************************
;;******************************************************************************************************************************************************
;; preferencias de las personas sobre un lugar, cultura, escuelar o comercial. copia del modelo de "residential mobility as a result of gentrification"

to ponderar
  ask casas
  [
    set calidad
    (ponderar-cultural * ( [c-cul] of self)) + (ponderar-escolar * ([c-esc] of self)) + (ponderar-comercial * ([c-com] of self))
    set total-conformidad (ponderar-cultural + ponderar-escolar + ponderar-comercial)
    set total-calidades-casas (calidad-casas-por-cultural + calidad-casas-por-escolar + calidad-casas-por-comercial)
  ]
end

to ajustar-la-calidad-ponderar-deslizador
  ifelse (ponderar-cultural + ponderar-escolar + ponderar-comercial) != 1


  [stop
    type "elegir la suma de tres factores de preferencias igual a 1"
  ]
    [go]
end

to ajustar-la-preferencia-ponderar-deslizador
  if (calidad-casas-por-cultural + calidad-casas-por-escolar + calidad-casas-por-comercial) != 1
  [
    type "elegir la suma de tres factores de preferencias igual a 1"
  ]
end
;;**********************************************************************************************************************************************************************************
;;**********************************************************************************************************************************************************************************
;;**********************************************************************************************************************************************************************************

;; le decimos a las personas que se muevan alas casas dependiendo si ingreso y elprecio de las casas
;;tambien contavilizamos las amenidades que se encuentran alrededor de las casas en un radio de 3 patches

;;*****************************************************************************************************************************
;;*****************************************************************************************************************************
;;*****************************************************************************************************************************

to una-persona
  ask casas with
  [count personas-here > 1]
  [if int bet-tick / 100 >= 1
    [
   ask personas-here
   [ set mov 1]
   set bet-tick bet-tick - 99
    ]
  ]


end

;;******************************************************************************************************************************
;;******************************************************************************************************************************
;;******************************************************************************************************************************
to go


  ask personas [if encontre-casa != true [fd random-float 1 rt random-float 1
  ask personas with [(escolaridad = "primaria")] [ if any? (casas-on patch-ahead 1) with[  ( tipo = "economica")] [fd 1 set encontre-casa true stop ]]
  ask personas with [(escolaridad = "secundaria")] [ if any? (casas-on patch-ahead 1) with [ breed = casas and ( tipo = "media")][fd 1 set encontre-casa true stop ]]   ;( precio >= 556881) and ( precio <= 430200)]]
  ask personas with [(escolaridad = "preparatoria")] [if any? (casas-on patch-ahead 1) with [ breed = casas and( tipo = "residencial")][fd 1 set encontre-casa true stop]] ;precio >= 440200) and ( precio <= 1487926)]]
  ask personas with [(escolaridad = "universidad")] [ if any? (casas-on patch-ahead 1) with [ breed = casas and( tipo = "residencialplus")][fd 1 set encontre-casa true stop ]];precio >= 1587926) and ( precio <= 3000000)]]
  ]]
tick
if all? personas [ encontre-casa = true] [stop]

;;****************************************************************************************************************************************
;;*********************************************************************************************************************************
;;*********************************************************************************************************************************



  ask casas [

 set c-cul count culturales in-radius 3  ;;contavilizo las amanidades que hay en al rededor de una casa en un radio de 5 patches
 set c-esc count escuelas in-radius 3
 set c-com count comercios in-radius 3

 set precio-nuevo precio * calidad

  ]



ponderar
ajustar-la-calidad-ponderar-deslizador
ajustar-la-preferencia-ponderar-deslizador
 ; ask personas with [( preferencia = "cultural")] [ if any? (turtles-on patch-ahead 1) with [breed = casas and ( c-cul)] [fd 1 set color 114 set encontre-casa true stop]]


end


;****************************************************************************************************************
;****************************************************************************************************************
;****************************************************************************************************************


@#$#@#$#@
GRAPHICS-WINDOW
475
10
914
470
16
16
13.0
1
10
1
1
1
0
1
1
1
-16
16
-16
16
0
0
1
ticks
30.0

BUTTON
2
10
65
43
NIL
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
86
11
183
44
amenidades
setup-amenidades
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
46
54
109
87
NIL
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
0
93
172
126
num-culturales
num-culturales
0
100
90
1
1
NIL
HORIZONTAL

SLIDER
0
135
172
168
num-escuelas
num-escuelas
0
100
35
1
1
NIL
HORIZONTAL

SLIDER
1
174
173
207
num-comercios
num-comercios
0
100
69
1
1
NIL
HORIZONTAL

SLIDER
4
230
176
263
ponderar-cultural
ponderar-cultural
0
1
0.3
.1
1
NIL
HORIZONTAL

SLIDER
4
284
176
317
ponderar-escolar
ponderar-escolar
0
1
0.3
.1
1
NIL
HORIZONTAL

SLIDER
3
341
175
374
ponderar-comercial
ponderar-comercial
0
1
0.4
.1
1
NIL
HORIZONTAL

SLIDER
189
94
436
127
calidad-casas-por-cultural
calidad-casas-por-cultural
0
1
0.3
.1
1
NIL
HORIZONTAL

SLIDER
189
145
435
178
calidad-casas-por-escolar
calidad-casas-por-escolar
0
1
0.3
.1
1
NIL
HORIZONTAL

SLIDER
188
192
445
225
calidad-casas-por-comercial
calidad-casas-por-comercial
0
1
0.4
.1
1
NIL
HORIZONTAL

MONITOR
289
238
363
283
casa media
count turtles with [ color = orange]
17
1
11

MONITOR
189
238
274
283
casa economica
count turtles with [ color = green ]
17
1
11

MONITOR
375
239
466
284
 casa residencial
count turtles with [ color = yellow ]
17
1
11

MONITOR
265
294
391
339
casa residencial-plus
count turtles with [ color = red ]
17
1
11

SWITCH
246
24
425
57
aumentar-amenidades
aumentar-amenidades
1
1
-1000

@#$#@#$#@
## WHAT IS IT?

es un modelo que simule el fenómeno de la gentrificación con el fin de entender los comportamientos del proceso, observando la interacción que hay a nivel individual con los hogares, negocios y comercios, la interacción de los agentes con el espacio.

## HOW IT WORKS

el entorno esta repesentado por un cuadrante que simula el area de la colonia de estudio Santa MAria la Ribera en la Ciudad de Mexico, y el resto se refieres a las otras colonias,

nuestros agentes estan regidos por el precio, el ingreso, la edad, escolaridad, amenidades.

encontramos diferentes tipos de agentes, los moviles y los fijos cada uno de estos agentes cuantan con caracteristicas especificas que nos permiten realizar la interaccion entre ellos.

## HOW TO USE IT

en el setup del modelo estamos creando a los agentes para la represetacion del proceso de gentrificacion, asi como determinando sus caracteristicas especificas en cuanto a tamano forma, color, tipo, edad, precios ingresos, de la misma manera como las preferencias de estos.

en el Go, ya similamos la interaccion de los hagentes con su entorno, se refleja la interccion de las personas con las viviendas y lo que hay a su alrededor en cuestion de cultura, escuela, esparcimiento, comercios, etc.

la interaccion corresponde con el ingreso de las personas y el preso de las viviendas cuanto persiven y cuanto es lo que pueden pagar, asi como tambien de la atreaccion del lugar, dependiendo que tan atractivo sea el lugar los agentes gentrificadores decidiran en donde vivir y en donde no.


## THINGS TO NOTICE

podemos observar en el modelo que los personas se mueven dentro del mundo y fuera de el, creando una interaccion entre los comercios, y los diferentes establecimientos que se encuentran a su alrededdor, el modelo se basa en la desicion de buscar una casa pero al mismo tiempo del lugar donde desean vivir basandonos en sus preferencias.

## THINGS TO TRY

para las amenidades utilizamos deslizadores, estas las dividimos en tres sectores; el cultural, escolar y comercial. cada deslizados tiene un numero maximo de 100 por sector; podemos aumentar o disminuir las amenidades y observar que tan rapido o tardado es el proseso para tomar la decision de alquirid una casa y el lugar.

## EXTENDING THE MODEL

(suggested things to add or change in the Code tab to make the model more complicated, detailed, accurate, etc.)

## NETLOGO FEATURES

(interesting or unusual features of NetLogo that the model uses, particularly in the Code tab; or where workarounds were needed for missing features)

## RELATED MODELS

Nombre del modelo: "The mobility of people as a result of gentrification is simulated according to the centrality of city"
Titulo de la tesis: "Approche empirique de la restructuration urbaine : application d’un Système Multi Agent (SAM), à Strasbourg 1982".

## CREDITS AND REFERENCES

(a reference to the model's URL on the web if it has one, as well as any other necessary credits, citations, and links)
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

book
false
0
Polygon -7500403 true true 30 195 150 255 270 135 150 75
Polygon -7500403 true true 30 135 150 195 270 75 150 15
Polygon -7500403 true true 30 135 30 195 90 150
Polygon -1 true false 39 139 39 184 151 239 156 199
Polygon -1 true false 151 239 254 135 254 90 151 197
Line -7500403 true 150 196 150 247
Line -7500403 true 43 159 138 207
Line -7500403 true 43 174 138 222
Line -7500403 true 153 206 248 113
Line -7500403 true 153 221 248 128
Polygon -1 true false 159 52 144 67 204 97 219 82

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

building institution
false
0
Rectangle -7500403 true true 0 60 300 270
Rectangle -16777216 true false 130 196 168 256
Rectangle -16777216 false false 0 255 300 270
Polygon -7500403 true true 0 60 150 15 300 60
Polygon -16777216 false false 0 60 150 15 300 60
Circle -1 true false 135 26 30
Circle -16777216 false false 135 25 30
Rectangle -16777216 false false 0 60 300 75
Rectangle -16777216 false false 218 75 255 90
Rectangle -16777216 false false 218 240 255 255
Rectangle -16777216 false false 224 90 249 240
Rectangle -16777216 false false 45 75 82 90
Rectangle -16777216 false false 45 240 82 255
Rectangle -16777216 false false 51 90 76 240
Rectangle -16777216 false false 90 240 127 255
Rectangle -16777216 false false 90 75 127 90
Rectangle -16777216 false false 96 90 121 240
Rectangle -16777216 false false 179 90 204 240
Rectangle -16777216 false false 173 75 210 90
Rectangle -16777216 false false 173 240 210 255
Rectangle -16777216 false false 269 90 294 240
Rectangle -16777216 false false 263 75 300 90
Rectangle -16777216 false false 263 240 300 255
Rectangle -16777216 false false 0 240 37 255
Rectangle -16777216 false false 6 90 31 240
Rectangle -16777216 false false 0 75 37 90
Line -16777216 false 112 260 184 260
Line -16777216 false 105 265 196 265

building store
false
0
Rectangle -7500403 true true 30 45 45 240
Rectangle -16777216 false false 30 45 45 165
Rectangle -7500403 true true 15 165 285 255
Rectangle -16777216 true false 120 195 180 255
Line -7500403 true 150 195 150 255
Rectangle -16777216 true false 30 180 105 240
Rectangle -16777216 true false 195 180 270 240
Line -16777216 false 0 165 300 165
Polygon -7500403 true true 0 165 45 135 60 90 240 90 255 135 300 165
Rectangle -7500403 true true 0 0 75 45
Rectangle -16777216 false false 0 0 75 45

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

crown
false
0
Rectangle -7500403 true true 45 165 255 240
Polygon -7500403 true true 45 165 30 60 90 165 90 60 132 166 150 60 169 166 210 60 210 165 270 60 255 165
Circle -16777216 true false 222 192 22
Circle -16777216 true false 56 192 22
Circle -16777216 true false 99 192 22
Circle -16777216 true false 180 192 22
Circle -16777216 true false 139 192 22

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

factory
false
0
Rectangle -7500403 true true 76 194 285 270
Rectangle -7500403 true true 36 95 59 231
Rectangle -16777216 true false 90 210 270 240
Line -7500403 true 90 195 90 255
Line -7500403 true 120 195 120 255
Line -7500403 true 150 195 150 240
Line -7500403 true 180 195 180 255
Line -7500403 true 210 210 210 240
Line -7500403 true 240 210 240 240
Line -7500403 true 90 225 270 225
Circle -1 true false 37 73 32
Circle -1 true false 55 38 54
Circle -1 true false 96 21 42
Circle -1 true false 105 40 32
Circle -1 true false 129 19 42
Rectangle -7500403 true true 14 228 78 270

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

food
false
0
Polygon -7500403 true true 30 105 45 255 105 255 120 105
Rectangle -7500403 true true 15 90 135 105
Polygon -7500403 true true 75 90 105 15 120 15 90 90
Polygon -7500403 true true 135 225 150 240 195 255 225 255 270 240 285 225 150 225
Polygon -7500403 true true 135 180 150 165 195 150 225 150 270 165 285 180 150 180
Rectangle -7500403 true true 135 195 285 210

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

house bungalow
false
0
Rectangle -7500403 true true 210 75 225 255
Rectangle -7500403 true true 90 135 210 255
Rectangle -16777216 true false 165 195 195 255
Line -16777216 false 210 135 210 255
Rectangle -16777216 true false 105 202 135 240
Polygon -7500403 true true 225 150 75 150 150 75
Line -16777216 false 75 150 225 150
Line -16777216 false 195 120 225 150
Polygon -16777216 false false 165 195 150 195 180 165 210 195
Rectangle -16777216 true false 135 105 165 135

house colonial
false
0
Rectangle -7500403 true true 270 75 285 255
Rectangle -7500403 true true 45 135 270 255
Rectangle -16777216 true false 124 195 187 256
Rectangle -16777216 true false 60 195 105 240
Rectangle -16777216 true false 60 150 105 180
Rectangle -16777216 true false 210 150 255 180
Line -16777216 false 270 135 270 255
Polygon -7500403 true true 30 135 285 135 240 90 75 90
Line -16777216 false 30 135 285 135
Line -16777216 false 255 105 285 135
Line -7500403 true 154 195 154 255
Rectangle -16777216 true false 210 195 255 240
Rectangle -16777216 true false 135 150 180 180

house efficiency
false
0
Rectangle -7500403 true true 180 90 195 195
Rectangle -7500403 true true 90 165 210 255
Rectangle -16777216 true false 165 195 195 255
Rectangle -16777216 true false 105 202 135 240
Polygon -7500403 true true 225 165 75 165 150 90
Line -16777216 false 75 165 225 165

house ranch
false
0
Rectangle -7500403 true true 270 120 285 255
Rectangle -7500403 true true 15 180 270 255
Polygon -7500403 true true 0 180 300 180 240 135 60 135 0 180
Rectangle -16777216 true false 120 195 180 255
Line -7500403 true 150 195 150 255
Rectangle -16777216 true false 45 195 105 240
Rectangle -16777216 true false 195 195 255 240
Line -7500403 true 75 195 75 240
Line -7500403 true 225 195 225 240
Line -16777216 false 270 180 270 255
Line -16777216 false 0 180 300 180

house two story
false
0
Polygon -7500403 true true 2 180 227 180 152 150 32 150
Rectangle -7500403 true true 270 75 285 255
Rectangle -7500403 true true 75 135 270 255
Rectangle -16777216 true false 124 195 187 256
Rectangle -16777216 true false 210 195 255 240
Rectangle -16777216 true false 90 150 135 180
Rectangle -16777216 true false 210 150 255 180
Line -16777216 false 270 135 270 255
Rectangle -7500403 true true 15 180 75 255
Polygon -7500403 true true 60 135 285 135 240 90 105 90
Line -16777216 false 75 135 75 180
Rectangle -16777216 true false 30 195 93 240
Line -16777216 false 60 135 285 135
Line -16777216 false 255 105 285 135
Line -16777216 false 0 180 75 180
Line -7500403 true 60 195 60 240
Line -7500403 true 154 195 154 255

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

music notes 3
false
0
Polygon -7500403 true true 135 195 156 197 178 203 191 214 195 223 195 228 191 236 178 246 156 253 135 255 115 253 93 247 79 236 75 227 75 223 79 214 93 203 114 197
Rectangle -7500403 true true 180 30 195 225
Polygon -7500403 true true 194 66 210 80 242 93 271 94 293 84 301 68 269 69 238 60 213 46 197 34 193 30

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

person business
false
0
Rectangle -1 true false 120 90 180 180
Polygon -13345367 true false 135 90 150 105 135 180 150 195 165 180 150 105 165 90
Polygon -7500403 true true 120 90 105 90 60 195 90 210 116 154 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 183 153 210 210 240 195 195 90 180 90 150 165
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 76 172 91
Line -16777216 false 172 90 161 94
Line -16777216 false 128 90 139 94
Polygon -13345367 true false 195 225 195 300 270 270 270 195
Rectangle -13791810 true false 180 225 195 300
Polygon -14835848 true false 180 226 195 226 270 196 255 196
Polygon -13345367 true false 209 202 209 216 244 202 243 188
Line -16777216 false 180 90 150 165
Line -16777216 false 120 90 150 165

person construction
false
0
Rectangle -7500403 true true 123 76 176 95
Polygon -1 true false 105 90 60 195 90 210 115 162 184 163 210 210 240 195 195 90
Polygon -13345367 true false 180 195 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285
Circle -7500403 true true 110 5 80
Line -16777216 false 148 143 150 196
Rectangle -16777216 true false 116 186 182 198
Circle -1 true false 152 143 9
Circle -1 true false 152 166 9
Rectangle -16777216 true false 179 164 183 186
Polygon -955883 true false 180 90 195 90 195 165 195 195 150 195 150 120 180 90
Polygon -955883 true false 120 90 105 90 105 165 105 195 150 195 150 120 120 90
Rectangle -16777216 true false 135 114 150 120
Rectangle -16777216 true false 135 144 150 150
Rectangle -16777216 true false 135 174 150 180
Polygon -955883 true false 105 42 111 16 128 2 149 0 178 6 190 18 192 28 220 29 216 34 201 39 167 35
Polygon -6459832 true false 54 253 54 238 219 73 227 78
Polygon -16777216 true false 15 285 15 255 30 225 45 225 75 255 75 270 45 285

person doctor
false
0
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -13345367 true false 135 90 150 105 135 135 150 150 165 135 150 105 165 90
Polygon -7500403 true true 105 90 60 195 90 210 135 105
Polygon -7500403 true true 195 90 240 195 210 210 165 105
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 79 172 94
Polygon -1 true false 105 90 60 195 90 210 114 156 120 195 90 270 210 270 180 195 186 155 210 210 240 195 195 90 165 90 150 150 135 90
Line -16777216 false 150 148 150 270
Line -16777216 false 196 90 151 149
Line -16777216 false 104 90 149 149
Circle -1 true false 180 0 30
Line -16777216 false 180 15 120 15
Line -16777216 false 150 195 165 195
Line -16777216 false 150 240 165 240
Line -16777216 false 150 150 165 150

person farmer
false
0
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -1 true false 60 195 90 210 114 154 120 195 180 195 187 157 210 210 240 195 195 90 165 90 150 105 150 150 135 90 105 90
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 79 172 94
Polygon -13345367 true false 120 90 120 180 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 180 90 172 89 165 135 135 135 127 90
Polygon -6459832 true false 116 4 113 21 71 33 71 40 109 48 117 34 144 27 180 26 188 36 224 23 222 14 178 16 167 0
Line -16777216 false 225 90 270 90
Line -16777216 false 225 15 225 90
Line -16777216 false 270 15 270 90
Line -16777216 false 247 15 247 90
Rectangle -6459832 true false 240 90 255 300

person graduate
false
0
Circle -16777216 false false 39 183 20
Polygon -1 true false 50 203 85 213 118 227 119 207 89 204 52 185
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 79 172 94
Polygon -8630108 true false 90 19 150 37 210 19 195 4 105 4
Polygon -8630108 true false 120 90 105 90 60 195 90 210 120 165 90 285 105 300 195 300 210 285 180 165 210 210 240 195 195 90
Polygon -1184463 true false 135 90 120 90 150 135 180 90 165 90 150 105
Line -2674135 false 195 90 150 135
Line -2674135 false 105 90 150 135
Polygon -1 true false 135 90 150 105 165 90
Circle -1 true false 104 205 20
Circle -1 true false 41 184 20
Circle -16777216 false false 106 206 18
Line -2674135 false 208 22 208 57

person lumberjack
false
0
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -2674135 true false 60 196 90 211 114 155 120 196 180 196 187 158 210 211 240 196 195 91 165 91 150 106 150 135 135 91 105 91
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 79 172 94
Polygon -6459832 true false 174 90 181 90 180 195 165 195
Polygon -13345367 true false 180 195 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285
Polygon -6459832 true false 126 90 119 90 120 195 135 195
Rectangle -6459832 true false 45 180 255 195
Polygon -16777216 true false 255 165 255 195 240 225 255 240 285 240 300 225 285 195 285 165
Line -16777216 false 135 165 165 165
Line -16777216 false 135 135 165 135
Line -16777216 false 90 135 120 135
Line -16777216 false 105 120 120 120
Line -16777216 false 180 120 195 120
Line -16777216 false 180 135 210 135
Line -16777216 false 90 150 105 165
Line -16777216 false 225 165 210 180
Line -16777216 false 75 165 90 180
Line -16777216 false 210 150 195 165
Line -16777216 false 180 105 210 180
Line -16777216 false 120 105 90 180
Line -16777216 false 150 135 150 165
Polygon -2674135 true false 100 30 104 44 189 24 185 10 173 10 166 1 138 -1 111 3 109 28

person police
false
0
Polygon -1 true false 124 91 150 165 178 91
Polygon -13345367 true false 134 91 149 106 134 181 149 196 164 181 149 106 164 91
Polygon -13345367 true false 180 195 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285
Polygon -13345367 true false 120 90 105 90 60 195 90 210 116 158 120 195 180 195 184 158 210 210 240 195 195 90 180 90 165 105 150 165 135 105 120 90
Rectangle -7500403 true true 123 76 176 92
Circle -7500403 true true 110 5 80
Polygon -13345367 true false 150 26 110 41 97 29 137 -1 158 6 185 0 201 6 196 23 204 34 180 33
Line -13345367 false 121 90 194 90
Line -16777216 false 148 143 150 196
Rectangle -16777216 true false 116 186 182 198
Rectangle -16777216 true false 109 183 124 227
Rectangle -16777216 true false 176 183 195 205
Circle -1 true false 152 143 9
Circle -1 true false 152 166 9
Polygon -1184463 true false 172 112 191 112 185 133 179 133
Polygon -1184463 true false 175 6 194 6 189 21 180 21
Line -1184463 false 149 24 197 24
Rectangle -16777216 true false 101 177 122 187
Rectangle -16777216 true false 179 164 183 186

person service
false
0
Polygon -7500403 true true 180 195 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285
Polygon -1 true false 120 90 105 90 60 195 90 210 120 150 120 195 180 195 180 150 210 210 240 195 195 90 180 90 165 105 150 165 135 105 120 90
Polygon -1 true false 123 90 149 141 177 90
Rectangle -7500403 true true 123 76 176 92
Circle -7500403 true true 110 5 80
Line -13345367 false 121 90 194 90
Line -16777216 false 148 143 150 196
Rectangle -16777216 true false 116 186 182 198
Circle -1 true false 152 143 9
Circle -1 true false 152 166 9
Rectangle -16777216 true false 179 164 183 186
Polygon -2674135 true false 180 90 195 90 183 160 180 195 150 195 150 135 180 90
Polygon -2674135 true false 120 90 105 90 114 161 120 195 150 195 150 135 120 90
Polygon -2674135 true false 155 91 128 77 128 101
Rectangle -16777216 true false 118 129 141 140
Polygon -2674135 true false 145 91 172 77 172 101

person soldier
false
0
Rectangle -7500403 true true 127 79 172 94
Polygon -10899396 true false 105 90 60 195 90 210 135 105
Polygon -10899396 true false 195 90 240 195 210 210 165 105
Circle -7500403 true true 110 5 80
Polygon -10899396 true false 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -6459832 true false 120 90 105 90 180 195 180 165
Line -6459832 false 109 105 139 105
Line -6459832 false 122 125 151 117
Line -6459832 false 137 143 159 134
Line -6459832 false 158 179 181 158
Line -6459832 false 146 160 169 146
Rectangle -6459832 true false 120 193 180 201
Polygon -6459832 true false 122 4 107 16 102 39 105 53 148 34 192 27 189 17 172 2 145 0
Polygon -16777216 true false 183 90 240 15 247 22 193 90
Rectangle -6459832 true false 114 187 128 208
Rectangle -6459832 true false 177 187 191 208

person student
false
0
Polygon -13791810 true false 135 90 150 105 135 165 150 180 165 165 150 105 165 90
Polygon -7500403 true true 195 90 240 195 210 210 165 105
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -1 true false 100 210 130 225 145 165 85 135 63 189
Polygon -13791810 true false 90 210 120 225 135 165 67 130 53 189
Polygon -1 true false 120 224 131 225 124 210
Line -16777216 false 139 168 126 225
Line -16777216 false 140 167 76 136
Polygon -7500403 true true 105 90 60 195 90 210 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.2.0
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
